## cmucl 20b

=== debian/changelog ===
cmucl (20b-1) unstable; urgency=low

  * New upstream release: 20b. (Closes: #587450)
  * Integrated patch 20b-000 
  * We were cleaning up too much, don't remove .gif files
  * Fixed typo in src/docs/cmu-user/unicode.tex 
  * Make documentation work with newer texlive/hevea
  * Updated Standards-Version, no real changed
  * Use + in NEWS file 
  * move own-work round as quilt assumes that all our stuff is in debian/
  * Found a workaround. Now we build sse2 and x87 images of cmucl. 
    (Closes: #526584) 

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 25 Feb 2011 04:50:46 +0000

cmucl (20a-20090928-2) unstable; urgency=low

  * Integrated patch-000 for 20a.
  * fix cmucl-docs Section, should also be lisp

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 05 Oct 2009 07:10:17 +0200

cmucl (20a-20090928-1) unstable; urgency=low

  * Added debian/README.building file
  * Added ru.po file, thanks to Yuri Kozlov. (Closes: #541763)
  * New upstream release.
  * Fixed a small TeX typo
  * Change section to lisp
  * Updated Standards-Version no real changes
  * Also install src/pcl/simple-streams/external-formats files into
    usr/lib/cmucl/ext-formats

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 01 Oct 2009 15:32:31 +0000

cmucl (19f-20090312-1) unstable; urgency=low

  * New upstream release. Major changes:
      + Feature enhancements:
        - ~R supports many more cardinal names.
        - Updated network support:
          o Added BIND-INET-SOCKET to bind a socket to a local address.
          o Added OPEN-NETWORK-STREAM to create a stream connected to a 
            given host.
          o Added ACCEPT-NETWORK-STREAM to create a stream connected to
            the new network connection
          o Updated CONNECT-TO-INET-SOCKET to allow binding the newly
            created socket to a local address
        - Added UNIX:UNIX-OPENPTY, an interface to the openpty C library
          function.
        - SSE2 support added for x86.
          o CMUCL automatically detects whether sse2 is supported or not
            and loads up the appropriate core file.
          o New -fpu switch allows the user to specify explicitly which
            core should be used.  The valid values are x87, sse2, or auto
            (the default).
          o Fasls compiled with sse2 support have the extension sse2f.
            Otherwise, the normal x86f extension is used.  This allows the
            user to do tests/experiments with both x87 and sse2 without
            having to mess around with different directories and removing
            fasls before building for a different FPU.
          o If the chip supports sse2, but CMUCL can't find the sse2 core,
            CMUCL will try to fall back to the x87 core.  (This only
            happens if -fpu is auto.)
        - Command line parsing now recognizes the option "--".  Everything
          after "--" is not subject to CMUCL's command line parsing, and
          everything after the "--" is placed in the new variable
          EXT:*COMMAND-LINE-APPLICATION-ARGUMENTS*. 
    
      + ANSI compliance fixes:
        - Fix bug in backquote printer.  If the variable is @foo, we want
          to print ", @foo" not ",@foo".  Similarly, for .foo, we want to
          print ", .foo" instead of ",.foo".
        - Fix merging of version in MAKE-PATHNAME.  If the pathname name
          is given, the version is not affected by the version in the
          default pathname.
        - RENAME-FILE now creates defaulted-new-name from merging new-name
          with the original filespec.  This is an incompatible change from
          the previous version which created defaulted-new-name from
          merging the new-name with the truename of filespec.  Also, a
          logical pathname should be returned if new-name is a logical
          pathname. 
        - Character names need to be a capital letter followed by lower
          case.  Needed to match what ~:C does.  (Found via ansi-tests).
    
      + Bugfixes:
        - Compiler can now derive the rank of an array, even if the array
          is not simple.
        - Fix off-by-one bug in ~R which prevents printing numbers from
          10^63 to 10^66-1.  10^63 is a vigintillion.
        - The compiler and interpreter should now handle slot-value the
          same.  Previously, different results were returned for things
          like (slot-value foo :a).
        - UNIX-GETGRNAM is now defined for Darwin (x86 and ppc).
        - UNIX-GETPWUID is defined for all BSD systems.
        - Type-derivation for EXPT no longer causes errors in some
          situations.  The computed bounds were of the wrong type for the
          resulting type specifier.
        - Pathname printer no longer produces an error for (MAKE-PATHNAME
          :HOST NIL :TYPE "foo").  It returns #P(:HOST NIL :TYPE "foo")
          now. 
        - Type derivation for DOUBLE-DOUBLE-FLOAT arithmetic should be
          working.  Previously, all arithmetic operations would just
          return DOUBLE-DOUBLE-FLOAT even though the compiler should have
          been able to figure out a tighter result.
        - When SCALE-FLOAT would underflow, it would always return 0f0,
          instead of a floating-point zero of the correct type.
        - Fix some issues in creating the debug arglist string when the
          arglist contains items that can't be printed readably.
        - DIRECTORY is now faster for directories with a large number of
          files.  
        - RANDOM is now much faster on all platforms for numbers upto
          #xffffffff.  This is an incompatible change from previous
          releases because the numbers produced may be different from
          before.  
        - The small bias in RANDOM for integer args up to 32 bits long
          should now be gone.
        - Improved type derivation for LOGAND when one arg is bounded but
          the other is not.

