=== debian/control ===
Source: cmucl
Section: lisp
Build-Depends: debhelper (>= 7), lesstif2-dev, cmucl (>= 20b-1), hevea, tidy, a2ps, x11proto-core-dev, bc, texlive-extra-utils, texlive, texlive-latex-extra, po-debconf
Priority: optional
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>
Standards-Version: 3.9.1
Homepage: http://www.cons.org/cmucl/
Vcs-Git: http://git.debian.org/git/pkg-common-lisp/cmucl.git

Package: cmucl
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: cmucl-source, cmucl-docs, ilisp
Pre-Depends: common-lisp-controller (>= 4.2)
Replaces: cmucl-normal (<< 18e), cmucl-small (<< 18e), cmucl-safe (<< 18e)
Provides: lisp-compiler, lisp-core
Recommends: binfmt-support (>= 1.1.2)
Description: The CMUCL lisp compiler and development system
 This is the basis package for CMUCL. It contains the base
 image with the compiler, PCL (CLOS), and the tty based
 debugger.
 .
 It is a Common Lisp development system, written in Common
 Lisp itself with a long history.

Package: cmucl-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: The CMUCL documentation
 This is the documentation of the CMUCL main package.
 The clm, clx and hemlock documentation is still in their own
 packages.

Package: cmucl-clm
Architecture: i386
Conflicts: cmucl (<< 18e)
Depends: ${shlibs:Depends}, ${misc:Depends}, cmucl (>= 18e) , cmucl-source
Description: The Motif interface for CMUCL
 This package contains the lisp interface to motif and
 the motifd server program that actually does the processing.
 .
 The motifd server is based on lesstif.
 .
 Included in this package is an X based replacement for the tty based
 debugger and inspector.

Package: cmucl-source
Architecture: all
Depends: common-lisp-controller (>= 4.2), cl-asdf, ${misc:Depends}
Conflicts: cmucl (<< 18e)
Replaces: cmucl-hemlock, cmucl-clx, cmucl-defsystem, cmucl-graystream
Description: The CMUCL lisp sources
 These are the CMUCL sources, provided so that the
 debugger can show useful source information at appropriate
 times.
 .
 This version includes common-lisp-controller compatible
 replacements for defsystem, graystream, clx and hemlock.
 .
 defsystem provides a "make" type system for Lisp. This is
 a patched version from clocc.
 .
 Gray streams are the usual Lisp streams, but re-implemented
 as a Object hierarchy. Users can subclass existing classes and 
 adapt them for their own needs.
 .
 cmucl-clx is the clx library adapted for CMUCL. clx is an
 interface to X11, just like xlib.
 .
 Hemlock is an emacs clone for CMUCL.
 .
 Note that this version only works in X, the tty interface
 is broken: the system can't parse /etc/termcap.
 .
 To open the editor, type "(ed)".
 .
 Note that to recompile CMUCL you need a working CMUCL system :-(
