=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

#DPKG_ARCH#

export CC=gcc
export CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

#CONFIGURE#

#Architecture
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: #CONFIGURE_STAMP# #CONFIG_STATUS#

	# Add here commands to compile the arch part of the package.
	$(MAKE) -f debian/Makefile
	echo build done

build-indep: build-indep-stamp
build-indep-stamp: #CONFIGURE_STAMP# #CONFIG_STATUS#

	# Add here commands to compile the indep part of the package.
	$(MAKE) -f debian/Makefile doc
	echo doc build done

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp config-stamp

	# Add here commands to clean up after the build process.
	chmod a+x src/tools/*.sh src/lisp/linux-nm
	$(MAKE) -f debian/Makefile clean
	debconf-updatepo

	dh_clean

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_prep  -i
	dh_installdirs -i

	chmod a+x src/tools/*.sh src/lisp/linux-nm
	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#
	$(MAKE) -f debian/Makefile DESTDIR=debian/ install-indep

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a

	# Add here commands to install the arch part of the package into
	# debian/tmp.
	$(MAKE) -f debian/Makefile DESTDIR=debian/ install-dep
	find debian/cmucl-source -type d -and -name CVS -print0 | xargs -0 rm -rf

	dh_install -a
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	find debian/cmucl-source -type d -and -name CVS -print0 | xargs -0 rm -rf
	dh_installdebconf
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs src/general-info/release-19d.txt
	dh_installdocs
	dh_installexamples
	dh_installdebconf
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch #PHONY_CONFIGURE#
