=== debian/changelog ===
cmucl (20c-2) unstable; urgency=low

  * Actually reference the changelog for 20c, not 19d!
  * Remove unneeded postinst/prerm for cmucl-source. (Closes: #656317)

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 23 Jan 2012 06:24:27 +0000

cmucl (20c-1) unstable; urgency=low

  * New upstream release: 20c. Lots of changes see:
    http://common-lisp.net/project/cmucl/downloads/release/20c/release-20c.txt
  * Add workaround for gcc-4.6 over-optimization. (Closes: #483331)
  * Added Danish translation. (Closes: #626735)
  * Document workaround-for-gcc-4.6-overoptimization patch
  * Updated Standards-Version, no real changes
  * Remove the 'The''s in the Descriptions
  * Removed non-required changelog files
  * Improved cmucl package description
  * Stop using common-lisp-controller and dh-lisp
  * Prepare for release

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 17 Jan 2012 13:54:26 +0000
