=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: cmucl
 Section: lisp
-Build-Depends: debhelper (>= 7), lesstif2-dev, cmucl (>= 20b-1), hevea, tidy, a2ps, x11proto-core-dev, bc, texlive-extra-utils, texlive, texlive-latex-extra, po-debconf
+Build-Depends: debhelper (>= 7), lesstif2-dev, cmucl (>= 20c), hevea, tidy, a2ps, x11proto-core-dev, bc, texlive-extra-utils, texlive, texlive-latex-extra, po-debconf
 Priority: optional
 Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.cons.org/cmucl/
 Vcs-Git: http://git.debian.org/git/pkg-common-lisp/cmucl.git
 
@@ -12,11 +12,10 @@
 Architecture: i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: cmucl-source, cmucl-docs, ilisp
-Pre-Depends: common-lisp-controller (>= 4.2)
 Replaces: cmucl-normal (<< 18e), cmucl-small (<< 18e), cmucl-safe (<< 18e)
 Provides: lisp-compiler, lisp-core
 Recommends: binfmt-support (>= 1.1.2)
-Description: The CMUCL lisp compiler and development system
+Description: CMU Common Lisp compiler and development system
  This is the basis package for CMUCL. It contains the base
  image with the compiler, PCL (CLOS), and the tty based
  debugger.
@@ -28,7 +27,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Description: The CMUCL documentation
+Description: CMUCL documentation
  This is the documentation of the CMUCL main package.
  The clm, clx and hemlock documentation is still in their own
  packages.
@@ -37,7 +36,7 @@
 Architecture: i386
 Conflicts: cmucl (<< 18e)
 Depends: ${shlibs:Depends}, ${misc:Depends}, cmucl (>= 18e) , cmucl-source
-Description: The Motif interface for CMUCL
+Description: Motif interface for CMUCL
  This package contains the lisp interface to motif and
  the motifd server program that actually does the processing.
  .
@@ -48,10 +47,10 @@
 
 Package: cmucl-source
 Architecture: all
-Depends: common-lisp-controller (>= 4.2), cl-asdf, ${misc:Depends}
+Depends: cl-asdf, ${misc:Depends}
 Conflicts: cmucl (<< 18e)
 Replaces: cmucl-hemlock, cmucl-clx, cmucl-defsystem, cmucl-graystream
-Description: The CMUCL lisp sources
+Description: CMUCL lisp sources
  These are the CMUCL sources, provided so that the
  debugger can show useful source information at appropriate
  times.
