=== debian/rules ===
--- 
+++ 
@@ -104,7 +104,7 @@
 binary-arch: build-arch install-arch
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs src/general-info/release-19d.txt
+	dh_installchangelogs src/general-info/release-20c.txt
 	dh_installdocs
 	dh_installexamples
 	dh_installdebconf
