=== debian/watch ===
version=2

http://common-lisp.net/project/cmucl/downloads/release/ ([0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f])/ 19c
