## cmucl 21a

=== debian/changelog ===
cmucl (21a-4) unstable; urgency=medium

  * clarify PCL license request. (Closes: #821150)
  * Added Brazilian Portuguese debconf translation
    (Closes: #816927)
  * use https for anonscm.debian.org reference 
  * Fix hardening options in rules 
  * Really remove check for common-lisp-controller in site-init.lisp

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 14 Dec 2015 10:26:38 +0100

cmucl (21a-3) unstable; urgency=medium

  * Fix "FTBFS (missing build-depends)" by adding a Build-Depends on
    hardening-includes and cleaning up the build environment.
    (Closes: #806246)

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 14 Oct 2015 14:30:35 +0200

cmucl (21a-2) unstable; urgency=medium

  * Make cmucl-docs and cmucl-source 'Multi-Arch: foreign' as suggested by
    Aaron M. Ucko. (Closes: #801694) 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 05 Oct 2015 07:01:02 +0200

cmucl (21a-1) unstable; urgency=medium

  * Imported new upstream. For a list of changes see:
    https://gitlab.common-lisp.net/cmucl/cmucl/wikis/Release21a

    Highlights are:

    * LISP:WITH-STRING-CODEPOINT-ITERATOR added to iterate over the
      codepoints in a string. This works the same as 
      WITH-HASH-TABLE-ITERATOR.
    * LISP:WITH-STRING-GLYPH-ITERATOR added to iterate over the glyphs
      in a string.  Works like WITH-HASH-TABLE-ITERATOR.
    * LOOP supports new extended keywords
       (loop for cp being the codepoint of string ...)
      codepoints, code-point, and code-points are aliases for codepoint.
       (loop for g-string being the glpyh of string ...)
      glyphs is an alias for glpyh. 
    * Added clx-inspector module.
    * The external-format :UTF is no longer an alias for :UTF-8.
  * Remove the patch to remove Xp, upstream removed it. 
  * Remove check for common-lisp-controller in site-init.lisp 
  * cmucl-source might be Indep, but we still need to Depend on it 
  * Remove cmucl-source dependency on cl-asdf as we already ship it. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 05 Jul 2015 09:19:01 +0000

cmucl (20f-2) unstable; urgency=medium

  * Remove reference to Xp. This library seems not to be used in reality.
    (Closes: #789515)

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 04 Jun 2015 11:10:21 +0000

cmucl (20f-1) unstable; urgency=low

  * New upstream release. Changes:
    http://trac.common-lisp.net/cmucl/wiki/Release20e 
    http://trac.common-lisp.net/cmucl/wiki/Release20f 
 
    This fixes:
     - "segfault" with newer kernels (Closes: #723679)

  * Build now created linux-n not anymore build-n
  * Use canonical URL for git repository
  * Updated Standard Version, no major changes
  * Upstream now only supports SSE2 builds, no more x87 only,
    modified to cmucl.1 manpage to reflect this.
  * include updated watch file from

    http://anonscm.debian.org/viewvc/sepwatch/trunk/watchfiles/cmucl_20c-2.1.watch?view=markup
    
    thanks to bartm.
  * Don't copy the clx and hemlock sources twice into the cmucl-source
    package. Thanks to the dedup project. 
  * use pathfind in prerm to avoid lintian warning 
    command-with-path-in-maintainer-script
  * Now using debhelper compatibility level 9 
  * Removed references to pre-historic versions and conflicts 
  * Enable debian hardening options 
  * Prevented duplicate conf-file by running dh_buildep with 
    appropriate options 
  * Fix "FTBFS: build-indep needed for binary-arch" by moving the 
    cmucl-clm documentation to cmucl-docs. This builds on the previous
    entry which implemented the --arch --indep seperation.

    Thanks for Paul Gevers <elbrus@debian.org> for the patch.

    (Closes: #683398)
  * Fix "clean target does not clean up all created files" by 
    importing the patch from Paul Gevers <elbrus@debian.org>.
    (Closes: #728045)
  * Added the Italian translation of debconf messages.
    (Closes: #737220)
  * disable the gray-stream-examples-protection.patch as it
    breaks the gray-streams in fact.
  * Use the motif packages instead of lesstif.
  * Fix the Vcs-Git URL

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 04 Jun 2015 05:02:05 +0000
