=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: cmucl
 Section: lisp
-Build-Depends: debhelper (>= 7), lesstif2-dev, cmucl (>= 20c), hevea, tidy, a2ps, x11proto-core-dev, bc, texlive-extra-utils, texlive, texlive-latex-extra, po-debconf
+Build-Depends: debhelper (>= 9), libmotif-dev, cmucl (>= 21a), hevea, tidy, a2ps, x11proto-core-dev, bc, po-debconf, libxt-dev
+Build-Depends-Indep: texlive-extra-utils, texlive, texlive-latex-extra
 Priority: optional
 Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.6.0
 Homepage: http://www.cons.org/cmucl/
-Vcs-Git: http://git.debian.org/git/pkg-common-lisp/cmucl.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-common-lisp/cmucl.git/
 
 Package: cmucl
 Architecture: i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: cmucl-source, cmucl-docs, ilisp
-Replaces: cmucl-normal (<< 18e), cmucl-small (<< 18e), cmucl-safe (<< 18e)
 Provides: lisp-compiler, lisp-core
 Recommends: binfmt-support (>= 1.1.2)
 Description: CMU Common Lisp compiler and development system
@@ -27,6 +27,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: CMUCL documentation
  This is the documentation of the CMUCL main package.
  The clm, clx and hemlock documentation is still in their own
@@ -34,8 +35,8 @@
 
 Package: cmucl-clm
 Architecture: i386
-Conflicts: cmucl (<< 18e)
-Depends: ${shlibs:Depends}, ${misc:Depends}, cmucl (>= 18e) , cmucl-source
+Depends: ${shlibs:Depends}, ${misc:Depends}, cmucl (>= 21a), cmucl-source
+Suggests: cmucl-docs
 Description: Motif interface for CMUCL
  This package contains the lisp interface to motif and
  the motifd server program that actually does the processing.
@@ -47,9 +48,9 @@
 
 Package: cmucl-source
 Architecture: all
-Depends: cl-asdf, ${misc:Depends}
-Conflicts: cmucl (<< 18e)
+Depends: ${misc:Depends}
 Replaces: cmucl-hemlock, cmucl-clx, cmucl-defsystem, cmucl-graystream
+Multi-Arch: foreign
 Description: CMUCL lisp sources
  These are the CMUCL sources, provided so that the
  debugger can show useful source information at appropriate
