=== debian/rules ===
--- 
+++ 
@@ -6,15 +6,21 @@
 # build-arch and build-indep targets  by Bill Allombert 2001
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
 #DPKG_ARCH#
 
-export CC=gcc
-export CFLAGS = -Wall -g
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+export CPPFLAGS=$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)
+export CFLAGS=$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CFLAGS)
+export CXXFLAGS=$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CXXFLAGS)
+export LDFLAGS=$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get LDFLAGS)
+
+CFLAGS+=${CPPFLAGS}
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -32,8 +38,12 @@
 
 build-arch: build-arch-stamp
 build-arch-stamp: #CONFIGURE_STAMP# #CONFIG_STATUS#
-
 	# Add here commands to compile the arch part of the package.
+	echo env
+	env
+	echo dpkg-buildflags --status
+	dpkg-buildflags --status
+	echo building
 	$(MAKE) -f debian/Makefile
 	echo build done
 
@@ -80,44 +90,42 @@
 	# Add here commands to install the arch part of the package into
 	# debian/tmp.
 	$(MAKE) -f debian/Makefile DESTDIR=debian/ install-dep
-	find debian/cmucl-source -type d -and -name CVS -print0 | xargs -0 rm -rf
 
 	dh_install -a
 # Build architecture independant packages using the common target.
 binary-indep: build-indep install-indep
-	dh_testdir
-	dh_testroot
-	dh_installchangelogs
-	dh_installdocs
-	dh_installexamples
-	find debian/cmucl-source -type d -and -name CVS -print0 | xargs -0 rm -rf
-	dh_installdebconf
-	dh_installman
-	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	dh_testdir --indep
+	dh_testroot --indep
+	dh_installchangelogs --indep
+	dh_installdocs --indep
+	dh_installexamples --indep
+	dh_installdebconf --indep
+	dh_installman --indep
+	dh_compress --indep
+	dh_fixperms --indep
+	dh_installdeb --indep
+	dh_gencontrol --indep
+	dh_md5sums --indep
+	dh_builddeb --indep
 
 # Build architecture dependant packages using the common target.
 binary-arch: build-arch install-arch
-	dh_testdir
-	dh_testroot
-	dh_installchangelogs src/general-info/release-20c.txt
-	dh_installdocs
-	dh_installexamples
-	dh_installdebconf
-	dh_link
-	dh_strip
-	dh_compress
-	dh_fixperms
-	dh_makeshlibs
-	dh_shlibdeps
-	dh_installdeb
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	dh_testdir --arch
+	dh_testroot --arch
+	dh_installchangelogs --arch src/general-info/release-20c.txt
+	dh_installdocs --arch
+	dh_installexamples --arch
+	dh_installdebconf --arch
+	dh_link --arch
+	dh_strip --arch
+	dh_compress --arch
+	dh_fixperms --arch
+	dh_makeshlibs --arch
+	dh_shlibdeps --arch
+	dh_installdeb --arch
+	dh_gencontrol --arch
+	dh_md5sums --arch
+	dh_builddeb --arch
 
 binary: binary-arch binary-indep
 .PHONY: build clean binary-indep binary-arch binary install install-indep install-arch #PHONY_CONFIGURE#
