=== debian/watch ===
version=3
opts=uversionmangle=s/^(2011)/0.0.$1/ \
http://www.cons.org/cmucl/download.html \
(?:|.*/)cmucl-src(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
