=== debian/changelog ===
cmucl (21d-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload.

 -- Adrian Bunk <bunk@debian.org>  Wed, 15 Feb 2023 13:29:48 +0200

cmucl (21d-2) unstable; urgency=medium

  * Fix "FTBFS: error: variable length array declaration not allowed at
    file scope" by importing the upstream MR to fix compiling with gcc 11
   (Closes: #1028471)
  * Remove setting of -O flag in debian/rules, rely on dpkg-buildflags now
  * Increase debhelper compat level to 13
  * Update Standards-Version with minial changes 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 31 Jan 2023 08:26:21 +0100

cmucl (21d-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian patches for new upstream
  * Use clang to build as gcc causes a crash, see
    https://bugs.archlinux.org/task/60280 and 
    https://gitlab.common-lisp.net/cmucl/cmucl/issues/68
  * add patch to avoid latex error:

    No file cmu-user.cnd.
    (./cmu-user.aux
    ! Missing \endcsname inserted.
    <to be read again>
                       \unhbox
    l.1658 ...3.3}{180}{Strings}{subsection.13.3.3}{}}

    ?
  * Rework quilt patches:
     - fixed a typo
     - removed old unusead patches
     - refreshed old patches
  * let dpkg-buildflags handle the noopt flag
  * updated standard version, no real changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 20 Dec 2018 10:09:23 +0100

cmucl (21c-4) unstable; urgency=medium

  * Team upload.
  * Ship asdf contrib.
  * d/watch: verify upstream PGP signature on tarballs.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 27 Apr 2018 16:53:41 +0200

cmucl (21c-3) unstable; urgency=medium

  * Team upload.
  * Move Build-Depends on cmucl (and some other libs) to Build-Depends-Arch,
    so that arch:all packages can be built on amd64 buildds.
  * Remove spurious files that had sneaked in release 21c-2.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 11 Apr 2018 20:16:25 +0200

cmucl (21c-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* fields for move to salsa.
  * Set Maintainer to debian-common-lisp@l.d.o.
  * Remove obsolete README.source.
  * Use secure URL for Homepage.
  * Fix d/watch.
  * Remove unneeded Build-Depends on a2ps.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 11 Apr 2018 14:31:09 +0200

cmucl (21c-1) unstable; urgency=medium

  * Imported new upstream version 21c
  * Updated Standard version, no real changes 
  * Use https URL in debian/watch 

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 03 Nov 2017 06:58:59 +0100

cmucl (21b-1) unstable; urgency=medium

  * Imported new upstream 21b. For a list of changes see:
    https://gitlab.common-lisp.net/cmucl/cmucl/wikis/Release21b
  * updated standards without real changes.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 20 Oct 2016 16:33:01 +0200
