=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: cmucl
 Section: lisp
-Build-Depends: debhelper (>= 9), libmotif-dev, cmucl (>= 21a), hevea, tidy, a2ps, x11proto-core-dev, bc, po-debconf, libxt-dev
+Build-Depends: debhelper (>= 9), hevea, tidy, bc, po-debconf
+Build-Depends-Arch: cmucl (>= 21c), libmotif-dev, x11proto-core-dev, libxt-dev, clang
 Build-Depends-Indep: texlive-extra-utils, texlive, texlive-latex-extra
 Priority: optional
-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
+Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>
-Standards-Version: 3.9.6.0
-Homepage: http://www.cons.org/cmucl/
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-common-lisp/cmucl.git/
+Standards-Version: 4.6.2
+Homepage: https://www.cons.org/cmucl/
+Vcs-Git: https://salsa.debian.org/common-lisp-team/cmucl.git
 
 Package: cmucl
 Architecture: i386
@@ -35,7 +36,7 @@
 
 Package: cmucl-clm
 Architecture: i386
-Depends: ${shlibs:Depends}, ${misc:Depends}, cmucl (>= 21a), cmucl-source
+Depends: ${shlibs:Depends}, ${misc:Depends}, cmucl (>= 21c), cmucl-source
 Suggests: cmucl-docs
 Description: Motif interface for CMUCL
  This package contains the lisp interface to motif and
