=== debian/rules ===
--- 
+++ 
@@ -22,11 +22,6 @@
 
 CFLAGS+=${CPPFLAGS}
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
