=== debian/watch ===
version=4
opts="pgpmode=auto" https://common-lisp.net/project/cmucl/downloads/release/@ANY_VERSION@/ \
cmucl-src@ANY_VERSION@@ARCHIVE_EXT@
